> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tabs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tabs.com/_mcp/server.

# Create billing term seat amendment

POST https://integrators.prod.api.tabsplatform.com/v3/contracts/{id}/billing-terms/{billingTermId}/seat-amendment
Content-Type: application/json

Reference: https://docs.tabs.com/api-reference/contracts/contracts-billing-microservice-controller-create-billing-term-seat-amendment

## Authentication

- `Authorization` header (required)

## Request

### Path parameters

- `id` (string, required) — Contract id
- `billingTermId` (string, required) — Billing term id

### Body (application/json)

- `effectiveDate` (datetime, required) — Effective date of the seat amendment
- `newQuantity` (double, required) — New quantity of seats
- `prorationPolicy` (enum, optional) — Proration policy for the amendment: • NONE: No proration applied - full period charges regardless of timing • DAY: Proration calculated on a daily basis • MONTH: Proration calculated on a monthly basis • YEAR: Proration calculated on a yearly basis
  - Allowed values: `NONE`, `DAY`, `MONTH`, `YEAR`
- `trueUpTiming` (enum, optional) — True-up timing for the amendment: • IMMEDIATE: True-up amounts are applied immediately on the effective date • CO_TERM: True-up amounts are applied at the next invoice date after the effective date
  - Allowed values: `IMMEDIATE`, `CO_TERM`

## Response

### 201

The seat amendment

- `payload` (object, required) — Response payload, will be empty when success is false
  - `id` (string, required) — Unique identifier for the seat amendment
  - `obligationId` (string, required) — Unique identifier for the obligation this amendment belongs to
  - `effectiveDate` (datetime, required) — Effective date of the seat amendment
  - `newQuantity` (double, required) — New quantity of seats
  - `lastUpdatedAt` (datetime, required) — Timestamp when the amendment was last updated
  - `prorationPolicy` (enum, optional) — Proration policy for the amendment: • NONE: No proration applied - full period charges regardless of timing • DAY: Proration calculated on a daily basis • MONTH: Proration calculated on a monthly basis • YEAR: Proration calculated on a yearly basis
    - Allowed values: `NONE`, `DAY`, `MONTH`, `YEAR`
  - `trueUpTiming` (enum, optional) — True-up timing for the amendment: • IMMEDIATE: True-up amounts are applied immediately on the effective date • CO_TERM: True-up amounts are applied at the next invoice date after the effective date
    - Allowed values: `IMMEDIATE`, `CO_TERM`
- `success` (boolean, required) — Boolean with true=success, false=failure
- `message` (string, required) — Plain-text description of the result
- `error` (object, optional) — json element with any error messages or warnings
  - `code` (double, required) — API response code
  - `message` (string, required) — API response message
  - `details` (object, optional) — Additional details about the error

## Examples

**Request**

```json
{
  "effectiveDate": "2026-01-01",
  "newQuantity": 150
}
```

**Response**

```json
{
  "payload": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "obligationId": "456e7890-e89b-12d3-a456-426614174001",
    "effectiveDate": "2026-01-01",
    "newQuantity": 150,
    "lastUpdatedAt": "2025-09-19T00:00:00.000Z",
    "prorationPolicy": "DAY",
    "trueUpTiming": "IMMEDIATE"
  },
  "success": true,
  "message": "string",
  "error": {
    "code": 1.1,
    "message": "string",
    "details": {}
  }
}
```

**SDK Code**

```python
import requests

url = "https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/billing-terms/123e4567-e89b-12d3-a456-426614174000/seat-amendment"

payload = {
    "effectiveDate": "2026-01-01",
    "newQuantity": 150
}
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/billing-terms/123e4567-e89b-12d3-a456-426614174000/seat-amendment';
const options = {
  method: 'POST',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"effectiveDate":"2026-01-01","newQuantity":150}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/billing-terms/123e4567-e89b-12d3-a456-426614174000/seat-amendment"

	payload := strings.NewReader("{\n  \"effectiveDate\": \"2026-01-01\",\n  \"newQuantity\": 150\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/billing-terms/123e4567-e89b-12d3-a456-426614174000/seat-amendment")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"effectiveDate\": \"2026-01-01\",\n  \"newQuantity\": 150\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/billing-terms/123e4567-e89b-12d3-a456-426614174000/seat-amendment")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"effectiveDate\": \"2026-01-01\",\n  \"newQuantity\": 150\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/billing-terms/123e4567-e89b-12d3-a456-426614174000/seat-amendment', [
  'body' => '{
  "effectiveDate": "2026-01-01",
  "newQuantity": 150
}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/billing-terms/123e4567-e89b-12d3-a456-426614174000/seat-amendment");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"effectiveDate\": \"2026-01-01\",\n  \"newQuantity\": 150\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "effectiveDate": "2026-01-01",
  "newQuantity": 150
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/billing-terms/123e4567-e89b-12d3-a456-426614174000/seat-amendment")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```